List current user's pending join requests
List all pending join requests submitted by the current user. Used for the org picker page.
List all pending join requests submitted by the current user. Used for the org picker page.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Response Body
application/json
curl -X GET "https://example.com/organization/my-pending-requests"{ "requests": [ { "id": "string", "orgName": "string", "orgType": "string", "createdAt": null } ]}Empty
Empty
List current user's memberships GET
List all organizations the current user is a member of, including role, type, and logo. Used for org switching.
List members of an organization GET
Retrieve members of an organization. Accessible to the org itself or active partner organizations. Supports search and role filtering. Available to both labs and clinics.